# RismTemplate

This code is a versatile automation tool designed to `generate customized files` from `predefined templates`. It utilizes the `Jinja2` templating engine for dynamic content creation and simplifies the development process, allowing developers to quickly `generate new code` with less `repetitive coding`. Currently, the available classes are tailored for generating Laravel controllers and React components. However, users also have the option to use the `TemplateProcessor()` class, which allows for `flexible customization` of input files, output files, and data according to their specific requirements.

This tool is Python-based and runs with Python, but it `can generate files with any extension`, such as .js, .php, .py, .dart, .java, and others.


## how to use

1. Install `pip install RismTemplate` and install the `rism syntax` extension in `VS Code`, a syntax highlighter for predefined templates, enhancing readability and easing the coding process.
2. Ensure your template files end with `.rism` extension for compatibility and to avoid errors.
3. Check `example.py` for practical usage examples.
